summaryrefslogtreecommitdiff
path: root/app-text/poppler-glib
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:42:17 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:42:17 +0200
commitd9b2b543ecb113ba5deeb37fca59d54beac1a3e7 (patch)
treebfec2913837c2455b95e0771b45452431d773e0d /app-text/poppler-glib
parent68b805cc946254e49672177551d7239589465441 (diff)
Added poppler splitted, pastebunz for us (we need to create a pastebin), calibre, epdf
Diffstat (limited to 'app-text/poppler-glib')
-rw-r--r--app-text/poppler-glib/Manifest2
-rw-r--r--app-text/poppler-glib/metadata.xml7
-rw-r--r--app-text/poppler-glib/poppler-glib-0.24.3.ebuild69
-rw-r--r--app-text/poppler-glib/poppler-glib-0.24.5.ebuild69
4 files changed, 147 insertions, 0 deletions
diff --git a/app-text/poppler-glib/Manifest b/app-text/poppler-glib/Manifest
new file mode 100644
index 00000000..f93ac230
--- /dev/null
+++ b/app-text/poppler-glib/Manifest
@@ -0,0 +1,2 @@
+DIST poppler-0.24.3.tar.xz 1506152 SHA256 d2cd02509e458117df7534b60703171d567f26865ab9b7f9c84c53727b35374e SHA512 561ee068e156e743e46388b093468ba50c2bab8d2e319524abeaddd195d388a370265c53fef2787974ee18de2af229cbd303b1a9ddd08a2a1d885f895deb263b WHIRLPOOL a47a2a6657479c9d82f5f8f2579e702a0f9cd98ff451140dd6ed80fd7ac1ba33a7b9251e8f4d8ea46e91e8054ba49ca960b5904c2cab191eab264b78aea6d42a
+DIST poppler-0.24.5.tar.xz 1512476 SHA256 a2654910100c923c44e366242495e226db2798254f2fa2781138867348759f84 SHA512 dfb40f7d864614f4ad7e8729334931c4b40c48c0dc3d7a8c33b14134cf13c61f8a562cc790a08bee4a43c2c29e587a9d26330437858d465e18ceafd69521250c WHIRLPOOL 066924beb46e58c2906a3b278e617438bd966e2b7bd884e110949f0d149d2cca0bf6326f2fa8c99e3a2c0f2d3cb3f145c8eeee4f060d17e3dded501ef8ec7f33
diff --git a/app-text/poppler-glib/metadata.xml b/app-text/poppler-glib/metadata.xml
new file mode 100644
index 00000000..54a303b5
--- /dev/null
+++ b/app-text/poppler-glib/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<use>
+ <flag name='introspection'>Enable GObject introspection.</flag>
+</use>
+</pkgmetadata>
diff --git a/app-text/poppler-glib/poppler-glib-0.24.3.ebuild b/app-text/poppler-glib/poppler-glib-0.24.3.ebuild
new file mode 100644
index 00000000..b666c2bd
--- /dev/null
+++ b/app-text/poppler-glib/poppler-glib-0.24.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils libtool multilib autotools
+
+DESCRIPTION="Glib bindings for poppler"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/poppler-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0/43"
+
+IUSE="cairo doc +introspection"
+S="${WORKDIR}/poppler-${PV}"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ cairo? (
+ dev-libs/glib:2
+ >=x11-libs/cairo-1.10.0
+ introspection? ( >=dev-libs/gobject-introspection-1.32.1 )
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ ~app-text/poppler-base-${PV}
+"
+
+src_configure() {
+ local intro=$(use introspection && echo "yes" || echo "no")
+ econf \
+ --enable-introspection="${intro}" \
+ --enable-poppler-glib \
+ --enable-zlib \
+ --enable-splash-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt5 \
+ --disable-xpdf-headers \
+ --disable-libjpeg \
+ --disable-libopenjpeg \
+ --disable-libpng \
+ --disable-utils || die "econf failed"
+}
+
+src_install() {
+ cd "${S}/glib" || die
+ emake DESTDIR="${ED}" install || die "cannot install"
+
+ # install pkg-config data
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins "${S}"/poppler-glib.pc
+ use cairo && doins "${S}"/poppler-cairo.pc
+
+ if use cairo && use doc; then
+ # For now install gtk-doc there
+ insinto /usr/share/gtk-doc/html/poppler
+ doins -r "${S}"/glib/reference/html/* \
+ || die "failed to install API documentation"
+ fi
+}
diff --git a/app-text/poppler-glib/poppler-glib-0.24.5.ebuild b/app-text/poppler-glib/poppler-glib-0.24.5.ebuild
new file mode 100644
index 00000000..b666c2bd
--- /dev/null
+++ b/app-text/poppler-glib/poppler-glib-0.24.5.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils libtool multilib autotools
+
+DESCRIPTION="Glib bindings for poppler"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/poppler-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0/43"
+
+IUSE="cairo doc +introspection"
+S="${WORKDIR}/poppler-${PV}"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ cairo? (
+ dev-libs/glib:2
+ >=x11-libs/cairo-1.10.0
+ introspection? ( >=dev-libs/gobject-introspection-1.32.1 )
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ ~app-text/poppler-base-${PV}
+"
+
+src_configure() {
+ local intro=$(use introspection && echo "yes" || echo "no")
+ econf \
+ --enable-introspection="${intro}" \
+ --enable-poppler-glib \
+ --enable-zlib \
+ --enable-splash-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt5 \
+ --disable-xpdf-headers \
+ --disable-libjpeg \
+ --disable-libopenjpeg \
+ --disable-libpng \
+ --disable-utils || die "econf failed"
+}
+
+src_install() {
+ cd "${S}/glib" || die
+ emake DESTDIR="${ED}" install || die "cannot install"
+
+ # install pkg-config data
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins "${S}"/poppler-glib.pc
+ use cairo && doins "${S}"/poppler-cairo.pc
+
+ if use cairo && use doc; then
+ # For now install gtk-doc there
+ insinto /usr/share/gtk-doc/html/poppler
+ doins -r "${S}"/glib/reference/html/* \
+ || die "failed to install API documentation"
+ fi
+}